Subject: bug#60506: feature: parallel grep --recursive

From: Eike Dierks <[email-masked]>
Date: Mon, 2 Jan 2023 21:49:13 +0100

Hi at the gnu grep development team

I'd like to suggest a new feature
for: grep --recursive

The grep --recursive should work in parallel.

Rational:
This could speed up the grep by the numbers of threads

Currently, the --recursive option works on every file in sequence.
Instead, I want to start some greps in parallel.

If we want to be good,
then we would parse the expression first (which might be expensive)
and then fork on the files.

The master grep process would then collect the results,
so that the results would be serialized
to be identical with the current implementation.

I'd like to suggest a --fast option,
where results show up, as soon as they are found.
....

I am fed up with all that precomputed indexes.
I want to grep it really fast now.

I expect  that the file access is fast now, but has latency.
I want the grep to saturate the machine.

// job card

.